Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultRealActualIngredientType

java.lang.Object
be.fgov.ehealth.dics.core.v4.actual.common.RealActualIngredientKeyType
be.fgov.ehealth.dics.protocol.v4.ConsultRealActualIngredientType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultRealActualIngredientType extends RealActualIngredientKeyType implements Serializable

Java class for ConsultRealActualIngredientType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultRealActualIngredientType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:actual:common}RealActualIngredientKeyType">
           <sequence>
             <element name="Type" type="{urn:be:fgov:ehealth:dics:core:v4:core}IngredientTypeType"/>
             <element name="KnownEffect" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <choice minOccurs="0">
               <element name="Strength" type="{urn:be:fgov:ehealth:dics:core:v4:core}QuantityType"/>
               <element name="StrengthDescription" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
             <element name="AdditionalInformation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Substance" type="{urn:be:fgov:ehealth:dics:protocol:v4}SubstanceWithStandardsType"/>
             <element name="RealActualIngredientEquivalent" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultRealActualIngredientEquivalentType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultRealActualIngredientType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAdditionalInformation()`
  Additional (textual) information about the active ingredient.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `List<ConsultRealActualIngredientEquivalentType>`
  `getRealActualIngredientEquivalents()`
  Gets the value of the realActualIngredientEquivalents property.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `QuantityType`
  `getStrength()`
  Strength of the ingredient when it is an Active Substance.
  `String`
  `getStrengthDescription()`
  Alternative description of the strength that not fits in the fields Strength Quantity / Strength Unit.
  `SubstanceWithStandardsType`
  `getSubstance()`
  Gets the value of the substance property.
  `String`
  `getType()`
  Type of use for the specified substance (given by the link to the reference entity Substance).
  `Boolean`
  `isKnownEffect()`
  This ingredient (always excipient) has known effect(s).
  `void`
  `setAdditionalInformation(String value)`
  Sets the value of the additionalInformation property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setKnownEffect(Boolean value)`
  Sets the value of the knownEffect property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.
  `void`
  `setStrength(QuantityType value)`
  Sets the value of the strength property.
  `void`
  `setStrengthDescription(String value)`
  Sets the value of the strengthDescription property.
  `void`
  `setSubstance(SubstanceWithStandardsType value)`
  Sets the value of the substance property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class be.fgov.ehealth.dics.core.v4.actual.common.RealActualIngredientKeyType

  `getRank, setRank`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultRealActualIngredientType

    public ConsultRealActualIngredientType()

- ## Method Details

  - ### getType

    public String getType()
    Type of use for the specified substance (given by the link to the reference entity Substance). Possible values : - ACTIVE_SUBSTANCE: the substance participates in the medicinal product effect ; - EXCIPIENT: not active substance.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getType()`

  - ### isKnownEffect

    public Boolean isKnownEffect()
    This ingredient (always excipient) has known effect(s). Default is null, meaning this excipient is considered as an excipient without a known effect.
    Returns:
      possible object is `Boolean`

  - ### setKnownEffect

    public void setKnownEffect(Boolean value)
    Sets the value of the knownEffect property.
    Parameters:
      `value` - allowed object is `Boolean`
    See Also:
      - `isKnownEffect()`

  - ### getStrengthDescription

    public String getStrengthDescription()
    Alternative description of the strength that not fits in the fields Strength Quantity / Strength Unit. This field is empty when these fields can be filled in. In the case where the ingredient really contained in the medicinal product has an unknown strength, the following value is mentioned: “Quantum satis”. Examples: - ‘50 U DL50’ for ingredient ‘Clostridium Botulinum Toxin, Type A’ - ‘MT’ for ingredient ‘Calendula Officinalis’ - ‘D1’ for ingredient ‘Aconitum Napellus’ - ‘Quantum satis’ for ingredient ‘Clopidogrel Hydrogen Sulphate’
    Returns:
      possible object is `String`

  - ### setStrengthDescription

    public void setStrengthDescription(String value)
    Sets the value of the strengthDescription property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getStrengthDescription()`

  - ### getStrength

    public QuantityType getStrength()
    Strength of the ingredient when it is an Active Substance.
    Returns:
      possible object is `QuantityType`

  - ### setStrength

    public void setStrength(QuantityType value)
    Sets the value of the strength property.
    Parameters:
      `value` - allowed object is `QuantityType`
    See Also:
      - `getStrength()`

  - ### getAdditionalInformation

    public String getAdditionalInformation()
    Additional (textual) information about the active ingredient.
    Returns:
      possible object is `String`

  - ### setAdditionalInformation

    public void setAdditionalInformation(String value)
    Sets the value of the additionalInformation property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getAdditionalInformation()`

  - ### getSubstance

    public SubstanceWithStandardsType getSubstance()
    Gets the value of the substance property.
    Returns:
      possible object is `SubstanceWithStandardsType`

  - ### setSubstance

    public void setSubstance(SubstanceWithStandardsType value)
    Sets the value of the substance property.
    Parameters:
      `value` - allowed object is `SubstanceWithStandardsType`

  - ### getRealActualIngredientEquivalents

    public List<ConsultRealActualIngredientEquivalentType> getRealActualIngredientEquivalents()
    Gets the value of the realActualIngredientEquivalents property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the realActualIngredientEquivalents property.

    For example, to add a new item, do as follows:

         getRealActualIngredientEquivalents().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultRealActualIngredientEquivalentType`

    Returns:
      The value of the realActualIngredientEquivalents property.

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`